var panel1;
var panel2;





function OnReady() {
  panel1.ReDock(); //if loading layouts eleminated this panel, the redock will restore it
  panel2.ReDock(); //this is important on the 1st run of the plugin
}



function ShowDock1(Sender) {
  panel1.Show();
}

function HideDock1(Sender) {
  panel1.Close();
}

function ShowDock2(Sender) {
  panel2.Show();
}

function HideDock2(Sender) {
  panel2.Close();
}

function OnButtonClick(Sender) {
  Script.Message("Button was clicked");
}



//create these on script initialization so that their position can be loaded from layouts if previously saved there
panel1 = new TDockPanel("DockTest_Panel1", "dockPanelFileExplorer");
panel1.Caption = "Test Script Panel";
panel2 = new TDockPanel("DockTest_Panel2", "");
panel2.Caption = "Secondary Script Panel (Empty)";

//create some form to show in the dock
var f = new TForm(WeBuilder);
f.parent = panel1;
f.BorderStyle = bsNone;
f.Align = alClient;
f.Visible = true;

var btnOk = new TButton(f);
btnOK.Parent = f;
btnOk.SetBounds(Round(12 * Script.DpiScale), Round(12 * Script.DpiScale), Round(80 * Script.DpiScale), Round(36 * Script.DpiScale));
btnOk.Caption = "OK";
btnOk.OnClick = &OnButtonClick;

//this is required for docks
Script.ConnectSignal("ready", &OnReady);

//some test actions for toggling docks
Script.RegisterAction("Test", "Show Dock 1", "", &ShowDock1);
Script.RegisterAction("Test", "Hide Dock 1", "", &HideDock1);
Script.RegisterAction("Test", "Show Dock 2", "", &ShowDock2);
Script.RegisterAction("Test", "Hide Dock 2", "", &HideDock2);